CREATE DOMAIN PRIORITY_TYPE AS INTEGER
DEFAULT -1;

CREATE TABLE WSI_RULE4 (
    PK PK_TYPE NOT NULL,
    OID ID_TYPE NOT NULL UNIQUE,
    MOD_TIME TIME_T,
    DESCRIPTION LONG_TEXT,
    CONDITION LONG_TEXT,
    RESULT LONG_TEXT,
    PRI PRIORITY_TYPE,
    PERSIST BOOL,
    SECURED_REF FOREIGN_KEY_ID,
    SECURED_REF_CL CLASS_NAME COLLATE ISO8859_1);


ALTER TABLE WSI_RULE4 ADD CONSTRAINT PK_RULE4 PRIMARY KEY(PK);

CREATE UNIQUE DESCENDING INDEX IDX_RULE4 ON WSI_RULE4(PK);

ALTER TABLE WSI_RULE4 ADD CONSTRAINT FK_RULE4_SECURED FOREIGN KEY (SECURED_REF) REFERENCES WSI_SECURED_OBJECT (PK);

CREATE SEQUENCE WSI_RULE4;

CREATE TABLE WSI_RULE6 (
    PK PK_TYPE NOT NULL,
    OID ID_TYPE NOT NULL UNIQUE,
    MOD_TIME TIME_T,
    DESCRIPTION LONG_TEXT,
    CONDITION LONG_TEXT,
    RESULT LONG_TEXT,
    PRI PRIORITY_TYPE,
    PERSIST BOOL,
    SECURED_REF FOREIGN_KEY_ID,
    SECURED_REF_CL CLASS_NAME COLLATE ISO8859_1);


ALTER TABLE WSI_RULE6 ADD CONSTRAINT PK_RULE6 PRIMARY KEY(PK);

CREATE UNIQUE DESCENDING INDEX IDX_RULE6 ON WSI_RULE6(PK);

ALTER TABLE WSI_RULE6 ADD CONSTRAINT FK_RULE6_SECURED FOREIGN KEY (SECURED_REF) REFERENCES WSI_SECURED_OBJECT (PK);

CREATE SEQUENCE WSI_RULE6;

ALTER TABLE DHCP_ABINDINGS6 ALTER COLUMN DUID TO CLIENT_ID;
ALTER TABLE DHCP_NBINDINGS6 ALTER COLUMN DUID TO CLIENT_ID;

ALTER TABLE DHCP_APENDINGS6 DROP CONSTRAINT PK_APENDINGS6_BID_RELAY;
ALTER TABLE DHCP_NPENDINGS6 DROP CONSTRAINT PK_NPENDINGS6_BID_RELAY;
DROP INDEX IDX_APENDINGS6_BID_RELAY;
DROP INDEX IDX_NPENDINGS6_BID_RELAY;

ALTER TABLE DHCP_APENDINGS6 ALTER COLUMN DUID TO CLIENT_ID;
ALTER TABLE DHCP_NPENDINGS6 ALTER COLUMN DUID TO CLIENT_ID;

ALTER TABLE DHCP_APENDINGS6 ADD CONSTRAINT PK_APENDINGS6_BID_RELAY UNIQUE (CLIENT_ID,IAID,IATYPE,RELAY);
CREATE ASC INDEX IDX_APENDINGS6_BID_RELAY ON DHCP_APENDINGS6 (CLIENT_ID, IAID, RELAY, IATYPE);
ALTER TABLE DHCP_NPENDINGS6 ADD CONSTRAINT PK_NPENDINGS6_BID_RELAY UNIQUE (CLIENT_ID,IAID,IATYPE,RELAY);
CREATE ASC INDEX IDX_NPENDINGS6_BID_RELAY ON DHCP_NPENDINGS6 (CLIENT_ID, IAID, RELAY, IATYPE);

ALTER TABLE DHCP_APOOLS4 ADD POLICIES GENERAL_NAME COLLATE ISO8859_1;
ALTER TABLE DHCP_APOOLS6 ADD POLICIES GENERAL_NAME COLLATE ISO8859_1;
ALTER TABLE DHCP_ABINDINGS4 ADD POLICIES GENERAL_NAME COLLATE ISO8859_1;
ALTER TABLE DHCP_ABINDINGS6 ADD POLICIES GENERAL_NAME COLLATE ISO8859_1;
ALTER TABLE DHCP_NPOOLS4 ADD POLICIES GENERAL_NAME COLLATE ISO8859_1;
ALTER TABLE DHCP_NPOOLS6 ADD POLICIES GENERAL_NAME COLLATE ISO8859_1;
ALTER TABLE DHCP_NBINDINGS4 ADD POLICIES GENERAL_NAME COLLATE ISO8859_1;
ALTER TABLE DHCP_NBINDINGS6 ADD POLICIES GENERAL_NAME COLLATE ISO8859_1;