CREATE GENERATOR SNMP_SAMPLE;

/* Table: SNMP_SAMPLE, Owner: SNMPT */
CREATE TABLE SNMP_SAMPLE (PK PK_TYPE NOT NULL,
        OID ID_TYPE NOT NULL,
        MOD_TIME TIME_T,
        NAME VALID_GENERAL_NAME,
        ACLASS ID_CLASS_TYPE,
        TIMEOUT BOOL,
        PREFIX_NAME VALID_GENERAL_NAME,
        OBJECT_NAME VALID_GENERAL_NAME,
        VTYPE INT32_T,
        IVALUE BIGINT,
        SVALUE LONG_TEXT,
        UPTIME BIGINT,
        DOW BIGINT,
        DOM BIGINT,
        HOD BIGINT,
        MON BIGINT,
CONSTRAINT PK_SNMP_SAMPLE PRIMARY KEY (PK),
UNIQUE (OID));

CREATE UNIQUE DESCENDING INDEX IDX_SNMP_BT ON SNMP_SAMPLE (PK);
CREATE INDEX IDX_SNMP_SAMPLE_AMTIME ON SNMP_SAMPLE (MOD_TIME);
CREATE DESCENDING INDEX IDX_SNMP_SAMPLE_DMTIME ON SNMP_SAMPLE (MOD_TIME);
CREATE INDEX IDX_SNMP_SAMPLE_NAME ON SNMP_SAMPLE (NAME, ACLASS, OBJECT_NAME, PREFIX_NAME);
CREATE INDEX IDX_SNMP_SAMPLE_VAL_ID ON SNMP_SAMPLE (OBJECT_NAME, PREFIX_NAME, NAME, IVALUE);