spec_name=GENERIC SQL FB1
spec_description=A set of generic SQL SELECT statements for Firebird 1.x

name=generic.all
group=general
arg_names=
arg_types=
statement=SELECT * FROM <<TABLE>>
description=Select all records
cursor_num=2000

name=generic.count
group=general
arg_names=
arg_types=
statement=SELECT COUNT(*) FROM <<TABLE>>
function_name=COUNT
description=Count all records
cursor_num=2001

name=generic.oid
group=general
arg_names=OID
arg_types=[__DB_TYPE_LONG__]
statement=SELECT T.* FROM <<TABLE>> T WHERE (T.OID = ?)
description=Select records matching this oid
cursor_num=2002

name=generic.oldest
group=general
arg_names=MOD_TIME
arg_types=[__DB_TYPE_LONG__]
statement=SELECT DISTINCT T.* FROM <<TABLE>> T WHERE (T.MOD_TIME = (SELECT MIN (MOD_TIME) FROM <<TABLE>>) AND T.MOD_TIME < ?)
description=Select the oldest record that is older than the time specified
cursor_num=2003

name=generic.timespan
group=general
arg_names=MOD_TIME_LOW,MOD_TIME_HIGH
arg_types=[__DB_TYPE_LONG__],[__DB_TYPE_LONG__]
statement=SELECT DISTINCT T.* FROM <<TABLE>> T WHERE T.MOD_TIME >= ? AND T.MOD_TIME <= ? ORDER BY T.MOD_TIME ASC
description=Select a set of records that were created or modified within the timespan specified, oldest first
cursor_num=2004

name=generic.range_oid
group=general
arg_names=OID_LOW,OID_HIGH
arg_types=[__DB_TYPE_LONG__],[__DB_TYPE_LONG__]
statement=SELECT DISTINCT T.* FROM <<TABLE>> T WHERE T.OID >= ? AND T.OID <= ? ORDER BY T.OID ASC
description=Select a set of records within an oid range, lowest first
cursor_num=2005
